Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateVpnConnectionResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateVpnConnectionResult

    public class CreateVpnConnectionResult

extends Object

Constructor Summary
`CreateVpnConnectionResult()`

Method Summary
`VpnConnection` | `getVpnConnection()`
`void` | `setVpnConnection(VpnConnection vpnConnection)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateVpnConnectionResult` | `withVpnConnection(VpnConnection vpnConnection)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateVpnConnectionResult

    public CreateVpnConnectionResult()

Method Detail

### getVpnConnection

    public VpnConnection getVpnConnection()

  Returns:

### setVpnConnection

    public void setVpnConnection(VpnConnection vpnConnection)

  Parameters:
    `vpnConnection` -

### withVpnConnection

    public CreateVpnConnectionResult withVpnConnection(VpnConnection vpnConnection)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnConnection` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.